﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        var grid = new RadGrid { ID = "RadGrid1", AllowFilteringByColumn = true, AutoGenerateColumns = false };
        grid.Columns.Add(new GridBoundColumn { DataField = "col1", DataType = typeof(int), HeaderText = "col1" });
        grid.Columns.Add(new GridBoundColumn { DataField = "col2", DataType = typeof(int), HeaderText = "col2" });
        grid.Columns.Add(new GridBoundColumn { DataField = "col3", DataType = typeof(double), HeaderText = "col3" });
        grid.Columns.Add(new GridDateTimeColumn { DataField = "col4", DataType = typeof(DateTime), HeaderText = "col4" });

        PlaceHolder1.Controls.Add(grid);
        grid.NeedDataSource += (s, a) =>
        {
            grid.DataSource = new[] { 
            new { col1 = 1, col2 = 12, col3 = 11.23, col4=new DateTime(2000,1,1) }, 
            new { col1 = 1, col2 = 13, col3 = 21.25, col4=new DateTime(2000,1,2)  }, 
            new { col1 = 2, col2 = 21, col3 = 11.62, col4=new DateTime(2000,1,2)  }, 
            new { col1 = 2, col2 = 22, col3 = 11.42, col4=new DateTime(2000,1,1)  }, 
            new { col1 = 2, col2 = 21, col3 = 21.32, col4=new DateTime(2000,1,2)  } };
        };
    }
}